POST
/hold/captureCapture a hold
Settle some or all of a hold to a destination account. Supports partial captures.
Required Attributes
amountintegerrequired
Amount to capture (<= remaining reserved)
Example: 4200
hold_idstringrequired
The hold to capture
Example: "hold_f11bc3c"
descriptionstring
Statement description
destination_entity_idstringrequired
Account to credit
Example: "ent_merchant"
Request
POST/hold/capture
curl --location 'https://api.ledgr.dev/v1/hold/capture' \
--header 'Authorization: {api_key}' \
--header 'Content-Type: application/json' \
--data '{
"amount": 4200,
"hold_id": "hold_f11bc3c",
"description": "example_description",
"destination_entity_id": "ent_merchant"
}'Response
The updated hold and resulting transfer
{
"hold": {
"amount": 5000,
"status": "partially_captured",
"hold_id": "hold_f11bc3c",
"captured_amount": 4200
},
"status": "success",
"transaction": {
"amount": 4200,
"transaction_group_id": "trx-grp_..."
}
}